
using System.Collections;


namespace TestClassLibrary1
{
    public class Car
    {
        string manufacturer;
        string model;
        int year;
        decimal size;
        string imageUrl;
        ArrayList availableColor;
        string promotion;
        bool available;
        decimal? sales;

        public Car(string manufacturer, string model, int year, string imageUrl, string[] availableColor, string promotion, decimal? sales, bool available)
        {
            this.manufacturer = manufacturer;
            this.model = model;
            this.year = year;
            this.imageUrl = imageUrl;
            this.AvailableColor = new ArrayList(availableColor);
            this.Promotion = promotion;
            this.available = available;
            this.sales = sales;
        }

        public decimal? Sales
        {
            get
            {
                return this.sales;
            }
            set
            {
                this.sales = value;
            }
        }

        public bool Available
        {
            get { return this.available; }
            set{this.available = value;}
        }

        public decimal Size
        {
            get { return this.size; }
            set { this.size = value; }
        }

        public string Model
        {
            get { return this.model; }
            set { this.model = value; }
        }

        public string Manufacturer
        {
            get { return this.manufacturer; }
            set { this.manufacturer = value; }
        }

        public int Year
        {
            get { return this.year; }
            set { this.year = value; }
        }

        public string ImageUrl
        {
            get { return this.imageUrl; }
            set { this.imageUrl = value; }
        }

        public ArrayList AvailableColor
        {
            get { return this.availableColor; }
            set { this.availableColor = value; }
        }

        public string Promotion
        {
            get { return this.promotion; }
            set { this.promotion = value; }
        }
    }
}
